[Version]
Signature	        = "$CHICAGO$"
DEVTYPE_UIU_INI_FILE    = 1
INI_ORDER               = 10

[UIUSetupCfg]
COMMAND_LINE = "-INI=AudioFilterAgent.INI, cAudioFilterAgent"

[FileCfg]
Setup64FileName = x64\Setup64.exe

[TASKS]
AddReg	   = RunAddReg32, UninstallAddReg, UninstallAddReg32
CopyFiles  = CopyFiles32
InstallApp = InstallApp32

[TASKS.NTamd64]
AddReg	   = RunAddReg64, UninstallAddReg, UninstallAddReg64
CopyFiles  = CopyFiles64
InstallApp = InstallApp64

[RunAddReg32]
HKLM,SOFTWARE\Conexant\AFA, AFA_Settings,0x10001,0x00000400
HKLM,SOFTWARE\Conexant\AFA, First_Priority_DevType,0x10001,0x00000003
HKLM,SOFTWARE\Conexant\AFA, Second_Priority_DevType,0x10001,0x00000009
HKLM,SOFTWARE\Conexant\AFA, WaitDelayCount,0x10001,0x00000008  ; 250 ms * 8  = 2 sec
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Run, cAudioFilterAgent,,%16422%\Conexant\cAudioFilterAgent\cAudioFilterAgent.exe

[RunAddReg64]
HKLM,SOFTWARE\Conexant\AFA, AFA_Settings,0x10001,0x00000400
HKLM,SOFTWARE\Conexant\AFA, First_Priority_DevType,0x10001,0x00000003
HKLM,SOFTWARE\Conexant\AFA, Second_Priority_DevType,0x10001,0x00000009
HKLM,SOFTWARE\Conexant\AFA, WaitDelayCount,0x10001,0x00000008  ; 250 ms * 8  = 2 sec
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Run, cAudioFilterAgent,,%16422%\Conexant\cAudioFilterAgent\cAudioFilterAgent64.exe

[UninstallAddReg]
HKLM, SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\cAudioFilterAgent,DisplayName,,    "Conexant Audio Filter Agent"
HKLM, SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\cAudioFilterAgent,DisplayVersion,, "1.7.14.0"
HKLM, SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\cAudioFilterAgent,VersionMajor,,   "1"
HKLM, SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\cAudioFilterAgent,VersionMinor,,   "7"
HKLM, SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\cAudioFilterAgent,Publisher,,      "Conexant Systems"
HKLM, SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\cAudioFilterAgent,InstallLocation,,"%16422%\CONEXANT\cAudioFilterAgent"

[UninstallAddReg32]
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\cAudioFilterAgent,UninstallString,, "%16422%\CONEXANT\cAudioFilterAgent\SETUP.EXE -U -IcAudioFilterAgent -SM=cAudioFilterAgent.exe,16"

[UninstallAddReg64]
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\cAudioFilterAgent,UninstallString,, "%16422%\CONEXANT\cAudioFilterAgent\SETUP64.EXE -U -IcAudioFilterAgent -SM=cAudioFilterAgent64.exe,16"

[SourceDisksNames]
1 = "Installation Disk"

[SourceDisksFiles]
cAudioFilterAgent.exe   = 1,\AFA
cAudioFilterAgent64.exe = 1,\AFA
setup64.exe             = 1,\x64
setup.exe               = 1


[DestinationDirs]
DefaultDestDir	= 16422,Conexant\cAudioFilterAgent
CopyFiles32	= 16422,Conexant\cAudioFilterAgent
CopyFiles64	= 16422,Conexant\cAudioFilterAgent

[CopyFiles32]
cAudioFilterAgent.exe,,,2
Setup.exe,,,2

[CopyFiles64]
cAudioFilterAgent64.exe,,,2
Setup64.exe,,,2

[InstallApp32]
InstallApp = "%16422%\Conexant\cAudioFilterAgent\cAudioFilterAgent.exe",,4

[InstallApp64]
InstallApp = "%16422%\Conexant\cAudioFilterAgent\cAudioFilterAgent64.exe",,4